<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;


use App\Models\CompanyModule;

class ConnectionObject
{

    /** @var CompanyModule */
    private $inviter;

    /** @var CompanyModule */
    private $invitee;

    /**
     * ConnectionObject constructor.
     * @param CompanyModule $inviter
     * @param CompanyModule $invitee
     */
    public function __construct(CompanyModule $inviter, CompanyModule $invitee)
    {
        $this->inviter = $inviter;
        $this->invitee = $invitee;
    }

    /**
     * @return CompanyModule
     */
    public function getInviter(): CompanyModule
    {
        return $this->inviter;
    }

    /**
     * @return CompanyModule
     */
    public function getInvitee(): CompanyModule
    {
        return $this->invitee;
    }


}